> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chartbrew.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Teams

> Get all teams for the authenticated user

This endpoint returns all teams the user is a member of. The user is taken from the authentication token.


## OpenAPI

````yaml GET /team
openapi: 3.0.1
info:
  title: Chartbrew API reference
  description: The OpenAPI specification for Chartbrew
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.chartbrew.com
security:
  - bearerAuth: []
paths:
  /team:
    get:
      description: Get all teams for the authenticated user
      responses:
        '200':
          description: Array of teams the user is a member of
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserTeams'
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security:
        - bearerAuth: []
components:
  schemas:
    UserTeams:
      type: array
      items:
        type: object
        properties:
          id:
            type: integer
          name:
            type: string
          TeamRoles:
            type: array
            items:
              $ref: '#/components/schemas/TeamRole'
          Projects:
            type: array
            items:
              type: object
              properties:
                id:
                  type: integer
                name:
                  type: string
                Charts:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
          Connections:
            type: array
            items:
              type: object
              properties:
                id:
                  type: integer
          showBranding:
            type: boolean
          allowReportRefresh:
            type: boolean
          allowReportExport:
            type: boolean
          createdAt:
            type: string
            format: date-time
          updatedAt:
            type: string
            format: date-time
    TeamRole:
      type: object
      properties:
        id:
          type: integer
        team_id:
          type: integer
        user_id:
          type: integer
        role:
          type: string
        projects:
          type: array
          items:
            type: string
        canExport:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````